aboutsummaryrefslogtreecommitdiff
path: root/share/templater/kvmx
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2017-10-31 17:23:15 -0200
committerSilvio Rhatto <rhatto@riseup.net>2017-10-31 17:23:15 -0200
commit82e6bce4ea8fc61e99f6eb32dc12c470b93dccd4 (patch)
tree4b81210f80e8a3e85a1d65b01beb67f92a727066 /share/templater/kvmx
parent8e83eb20f8841022cf9a221f2e8447cdba1f7270 (diff)
downloadtemplater-82e6bce4ea8fc61e99f6eb32dc12c470b93dccd4.tar.gz
templater-82e6bce4ea8fc61e99f6eb32dc12c470b93dccd4.tar.bz2
New module format
Diffstat (limited to 'share/templater/kvmx')
-rw-r--r--share/templater/kvmx/description1
-rwxr-xr-xshare/templater/kvmx/setup24
2 files changed, 25 insertions, 0 deletions
diff --git a/share/templater/kvmx/description b/share/templater/kvmx/description
new file mode 100644
index 0000000..b7f84fe
--- /dev/null
+++ b/share/templater/kvmx/description
@@ -0,0 +1 @@
+KVMX virtual machine manager configuration
diff --git a/share/templater/kvmx/setup b/share/templater/kvmx/setup
new file mode 100755
index 0000000..8b3443f
--- /dev/null
+++ b/share/templater/kvmx/setup
@@ -0,0 +1,24 @@
+#!/bin/bash
+#
+# KVMX templater module.
+#
+
+# Parameters
+SHARE="$1"
+
+# Include basic functions
+source $SHARE/templater/functions || exit 1
+
+# KVMX implementation
+function templater_kvmx {
+ if [ ! -e "kvmxfile" ]; then
+ __templater_echo "Setting up kvmx..."
+ kvmx init
+ #git commit -a -m "Adds kvmx support"
+ else
+ __templater_echo "KVMX already set"
+ fi
+}
+
+# Dispatch
+templater_kvmx